VLOGGER(8)

NAME
vlogger - log messages to syslog or an arbitrary executable

SYNOPSIS
vlogger [-isS] [-f file] [-p pri] [-t tag] [message ...]

DESCRIPTION
By default, vlogger reads lines from stdin and sends them to syslog. If the file /etc/vlogger exists and is executable it is executed with tag as only argument and replaces vlogger.

If vlogger is executed as a log service for runit(8) or another daemontools like supervision suite it uses the service name as default tag. As example if vlogger is linked to /var/service/foo/log/run it uses foo as default tag.

The options are as follows:

-f file
    Read lines from the specified file. This

-i  Log the PID of the vlogger process. Only supported if syslog(3) is used.

-p pri
    The. pri can be facility.level or just facility. See FACILITIES, LEVELS or syslog(3). The default is daemon.info.

-S  Force vlogger to use syslog(3) even if /etc/vlogger exists.

-s  Output the message to standard error, as well as syslog(3). Only supported if syslog(3) is used.

-t tag
    Defines the openlog(3) ident which is used as prefix for each log message or passed as first argument to /etc/vlogger.

message
    Write the message to the log.

FACILITIES
auth
authpriv
cron
daemon
ftp
kern
    can not be used from userspace replaced with daemon.
lpr
mail
news
syslog
user
uucp
local[0-7]
security
    deprecated synonym for auth.

LEVELS
emerg
alert
crit
err
warning
notice
info
debug
panic
    deprecated synonym for emerg.
error
    deprecated synonym for err.
warn
    deprecated synonym for warning.

FILES

/etc/vlogger
    An optional executable file that is used to to handle the messages. It is executed with tag, level and facility as arguments and replaces the vlogger process.

EXIT STATUS

EXAMPLES
/etc/vlogger:

    #!/bin/sh
    exec svlogd /var/log/$1

SEE ALSO
logger(1), syslog(3), svlogd(8)

HISTORY
This program is a replacement for the logger utility provided by util-linux.

AUTHORS
Duncan Overbruck <mail@duncano.de>

LICENSE
vlogger is in the public domain.

To the extent possible under law, the creator of this work has waived all copyright and related or neighboring rights to this work.

http://creativecommons.org/publicdomain/zero/1.0/